Package org.apache.catalina.storeconfig

# Class LoaderSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.LoaderSF

All Implemented Interfaces:
  `IStoreFactory`

public class LoaderSF extends StoreFactoryBase
Store Loader Element.

## Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`LoaderSF()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isDefaultLoader(Loader loader)`
Is this an instance of the default `Loader` configuration, with all-default properties?
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
Store the only the Loader elements, when not default

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChildren, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoaderSF

public LoaderSF()

## Method Details

### store

public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
Store the only the Loader elements, when not default

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Throws:
  `Exception`
See Also:
  - `NamingResourcesSF.storeChildren(PrintWriter, int, Object, StoreDescription)`

### isDefaultLoader

protected boolean isDefaultLoader(Loader loader)
Is this an instance of the default `Loader` configuration, with all-default properties?

Parameters:
  `loader` - Loader to be tested
Returns:
  `true` if this is an instance of the default loader